"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountName = exports.accountsCoder = exports.PropeasyIDL = void 0;
const anchor_1 = require("@project-serum/anchor");
const propeasy_program_json_1 = __importDefault(require("../artifacts/propeasy_program.json"));
exports.PropeasyIDL = propeasy_program_json_1.default;
exports.accountsCoder = new anchor_1.BorshAccountsCoder(exports.PropeasyIDL);
var AccountName;
(function (AccountName) {
    AccountName["Platform"] = "PlatformState";
    AccountName["Property"] = "PropertyState";
    AccountName["Locker"] = "LockerState";
    AccountName["BurnRole"] = "BurnRoleState";
    AccountName["Burn"] = "BurnState";
    AccountName["Vesting"] = "VestingState";
})(AccountName = exports.AccountName || (exports.AccountName = {}));
