/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { PropeasyProgram } from "../artifacts/propeasy_program";
export type BurnerUpdateBurnConfigParams = {
    accounts: {
        admin: PublicKey;
        platformState: PublicKey;
        burnState: PublicKey;
    };
    inputs: {
        amountPerPeriod: BN;
        period: BN;
    };
};
export declare function burnerUpdateBurnConfig(program: Program<PropeasyProgram>, params: BurnerUpdateBurnConfigParams): Promise<Instruction>;
